E8000 Programmer

Thank you for purchasing our Passap E8000 Programmer product.

This HTML Help file provides the documentation for the E8000 programmer product.

The first part of this document provides information about the functionality of the E8000 Programmer product.
You can also find instructions on how to operate E8kProg in the first part of this document.
An example is provided how to derive a technique from a Madag technique.

The second part of this document provides information about Dialog Manager, the package used to develop E8kProg, the driver program of the E8000 Programmer product.

Last Modification: September 1, 2021 © 2005,2021 Computerservice SSHS BV.


Functions

With the Passap E8000 Programmer you can upload and download the contents of a VM Memory Module to your PC via a USB port.

The following functions are provided by E8kProg, the driver program:
  • Upload a VM Memory Module and store in a Virtual Memory Module file on your computer
  • Download a Virtual Memory Module file to a VM Memory Module
  • Show pictures of patterns, sectors and techniques
  • Add and edit custom techniques in a Virtual Memory Module file
The E8000 Programmer box has a slot for the VM Memory Module and a USB type A connector to connect to a USB port on your PC.

Two LED indicators are provided for diagnostic purposes:
1. a red/green LED indicator that shows upload or download in progress
2. a green LED indicator that shows the E8000 Programmer is powered on


E8000 Programmer

E8kProg

E8kProg is the driver program for the Passap E8000 Programmer.

You can upload and download the contents of the VM Memory Module (30.730.01).

E8kProg shows a list of data entities on the VM Memory Module.
A picture can be shown of the patterns in the VM Memory Module and also of the Sectors .
Entities with size below 1000 bytes are editable.

Special support is provided for custom techniques where you can add new techniques.
You can alo modify techniques.

New patterns can be added too. They must be in the format required by the E8000.
You can modify patterns

Last Modification: September 1, 2021 © 2005,2021 Computerservice SSHS BV.


Starting E8kProg

The Passap E8000 Programmer can be operated by E8kProg.

Follow these steps to start E8kProg:
1. Press Start
2. Press Programs
3. Press Cartridge
4. Press E8kProg
5. The configuration dialog of E8kProg will be displayed

Figure 1

Last Modification: September 1, 2021 © 2005,2021 Computerservice SSHS BV.


Configuration

When E8kProg starts you first have to set the com port to which the E8000 Programmer hardware is connected. You do this by clicking one of the com ports from the list and then pressing OK.

You can show this help file by pressing the Help button.

Check the Show Print Dialog tick box when you want to have a choice of printer when printing. When the Show Print Dialog is not checked, printing will occur to the default printer.

The Palette field shows the palette that will be used for picture display.
There are a couple of palettes provided in the E8000 area in Documents:
@@temp.pal: the standard palette used by Creation8
@@temp.dk9.pal: the DesignaKnit 9 default palette

The File field shows the name of the file last accessed.

You close the E8kProg application by pressing the Close button or the cross in the top right corner of the dialog box.

If you press OK, the next dialog will be the User Interface dialog.

The Status field shows messages to inform the user of progress or to give instructions.

In case the E8000 Programmer is not connected to the com port specified, you will see the dialog below.

If one of the 4 com ports is available, select that port and press OK.
The Upload and Download buttons will be not usable. You can still use the view/edit capabilities of E8kProg. You will get timeout messages as result of queries issued to the E8000 Programmer box. You can discard those.


User Interface

The User Interface dialog is shown after you selected the com port the E8000 Programmer is hooked up to.

The User Interface dialog has a menu, a number of fields and a number of buttons.

The fields have the following functions:
Field | Function
Virtual Module | The virtual memory module that will be downloaded to the Memory Module when you press the Download button. You can populate the Virtual Module field by pressing the ... button and selecting a Virutal Module file on the browse dialog or you can Drop a Virtual Module file in the field using Drag and Drop facilities provided by Windows Explorer or an other Drag and Drop application. or The name of the virtual memory module file that will be uploaded from the Memory Module when you press the Upload button.You can populate the Virtual Module field by pressing the ... button and selecting a Virutal Module folder and file. The file doesn't have to exist.
Data Entity table | Shows the list of data entities in the Virtual Module file in the Virtual Module field
Valid | The state of the Data Entity, FC=valid, F0=erased, FF=free, FE=write open
Name | The name of the Data Entity
Start | The start address of the Data Entity
End | The end address of the Data Entity + 1
Size | The size of the Data Entity
Status area | Area to display status, progress and error information

The buttons have the following functions:
Button | Function
... | Browse your computer for a Virtual Memory Module file to upload or download
Help | Start the online help library
ClipDir | Copy the contents of the Data Entity table to the clipboard
Info | Show the contents of the Date Entity in hex
Picture | Show a graphical representation of the Data Entity if applicable
Upload | Upload the contents of a Memory Module and store it on your computer
Download | Download the Virtual Module file in the Virtual Module field to the E8000 Programmer
Close | Exit from E8kProg
New Tech | Add a new technique to the Virtual Module file
New Pat | Add a new pattern to the Virtual Module file


Menu

On the Menu Bar you will find two items: the File Menu and the Help Menu.

File Menu |
Exit | to exit E8kProg
Help Menu |
Contents | to display the main help topics
About E8000 Programmer | to provide information about E8000 Programmer & Windows


Browsing

Various alternatives are available to browse your computer for Virtual Memory Modules. E8kProg has multiple interfaces to accept Virtual Memoy Modules from:
  • Browse function on the E8000 Programmer main dialog
  • Open With function of Explorer programs like Pattern Explorer, Windows Explorer,...
  • Drag and Drop of drag capable Explorer programs like Pattern Explorer, Windows Explorer,...

Click on one of the links above for more information.


Browse

You can browse your computer for Virtual Memory Module file. Press the ... button for browsing.

The dialog above is a standard Windows file open dialog. Please consult your Windows documentation for full user instructions.

You see on the left hand side a number of shortcuts to places on your computer where you may have stored Virtual Memory Module files. On the top (Look in) you see the location where you are currently looking for Virtual memory Module files. Use the arrow next to the field to select an other location or alternatively use the up one level button. Use the Create New Folder button to create a new folder in the current location. Use the View Menu to change the representation of the contents of the Files box. The File name field contains the filter applied to the files on the folder. Use the arrow to drop down the list of file you opened earlier. The files of type field shows the currently applied filter. Use the arrow to change the filter. There are small differences on the various versions of Windows.

You select a file from the displayed list by clicking on it. The file will become blue and you can press Open to select the file as the Virtual Memory Module file. Press Cancel if you want to stop the selection process.

E8000 Programmer will support the following file types:
Extension | Description
e8v | E8000 Virtual Memory Module file
e8v | E8000 inbuilt file


E8000 inbuilt files

The inbuilt techniques and patterns of the E8000 are organised the same way as the sectors: a directory with names,and storage information.

We have provided 2 sets of inbuilt techniques and patterns:

E8kRomx.e8v -> version 1.30
E8kRom.e8v -> version 1.24

E8000 Programmer can open both sets. You can copy techniques and patterns from the inbuilt data just like you can copy techniques and patterns from Virtual Memory Module files.

The number of techniques and patterns is not the same in both files. We don't know for sure the reason behind that. One of the reasons may be the 6 color changer that was never made by Madag.

Differences:
E8kRomx.e8v contains extra undocumented techniques
33, 34, 35, 36, 37, 38,
70, 71, 72, 73, 74, 75, 76, 77,
530, 532, 534, 535, 536, 545
and pattern 2078

E8kRom.e8v contains extra undocumented techniques
88, 89, 90, 91, 92, 93, 94, 95, 96, 98, 99
547, 548, 549, 550

Both E8kRom files are installed in the E8000\Memory Modules\Roms folder.


Drag & Drop

Multiple alternatives are available to browse your computer for Virtual Memory Module files. Windows Explorer is one of them. Once you found the Virtual Memory Module file you want to download, you have multiple options to get it to E8000 Programmer. Drag and Drop is one of the options.

When using Drag and Drop, you need to make sure that both the program to drag from (Windows Explorer in the example below) and the drop target (E8000 Programmer) are visible at the same time. Actually only the Virtual Module field of E8000 Programmer has to be visible.
You click with the left mouse button on the design you want to use, hold down the left mouse button and start moving the mouse in the direction of the Virtual Module field. You see a shadow of the Virtual Module moving with the mouse.

When the mouse arrives above the E8000 Programmer main dialog, the mouse cursor looks like a stop sign (which means you cannot drop). However, when you move the mouse above the sunken Virtual Module field box, the mouse cursor changes in a drop cursor.

Release the left mouse button and the Virtual Module file will be dropped in the Virtual Module field.
As you can drop any file in the Virtual Module field, you may drop a file that is not supported by E8000 Programmer. You will get an error message and you will see:

The filename you dropped is kept in the Virtual Module field for your reference.
The entity table is yellow because the default button (Info) requires a selected item in the table.


Open With

You can open an E8000 Virtual Memory Module file with E8000 Programmer by right clicking on the Virtual Memory Module. A drop down menu shows up that contains Open With and an arrow or Open With ... The difference between the two is that the extension had already file associations or didn't have file associations yet. In the example below, e8v files were already opened with E8000 Programmer before. Click on E8000 Programmer and E8000 Programmer will be started.

Once started you will see the Configuration dialog of E8000 Programmer. Press OK and the E8000 Programmer main dialog will show your Virtual Memory Module file.

Please consult your Windows documentation for full information about Open With.


Clip Directory

You can copy the contents of the Data Entity table to the Windows clipboard.
The displayed list is copied to the clipboard and looks as the one below which is of a just formatted Memory Module.

Valid | Name | Start | End | Size
FC | _0000 | 131072 | 131081 | 9
FC | O0000 | 131081 | 131085 | 4
FC | S0000 | 131085 | 131442 | 357
FC | S0001 | 131442 | 131799 | 357
FC | S0002 | 131799 | 132156 | 357
FC | S0003 | 132156 | 132513 | 357
FC | S0004 | 132513 | 132870 | 357
FC | S0005 | 132870 | 133227 | 357
FC | S0006 | 133227 | 133584 | 357
FC | S0007 | 133584 | 133941 | 357
FC | S0008 | 133941 | 134298 | 357
FC | S0009 | 134298 | 134655 | 357
FC | _0001 | 134655 | 134657 | 2
FC | _0002 | 134657 | 134661 | 4
FC | _0003 | 134661 | 134665 | 4
FC | _0005 | 134665 | 134939 | 274
FC | _0006 | 134939 | 135002 | 63

From the clipboard you can paste the data in your favorite word processor. This way you can document the contents of a Memory Module.


Info

You can display the contents of a Data Entity in hexadecimal notation by pressing the Info button. The Info functionality is available for all Data Entities.

WARNING: with the info function you can modify the contents of a Virtual Memory Module file. The update function may render the Virtual Memory Module unusable.
All Data Entities can be shown in hexadecimal notation. The display is limited to the first 1000 characters. Data entities longer that 1000 characters cannot be edited.

Above screenshot shows the Info for Sector 9. The hexadecimal data is arranged in rows of 16 bytes.
Three areas are important: the technique used in the sector, offset 0x2B up to max 0xF3 (201 bytes max), the front pattern, bytes 0x101 - 0x132 and the back pattern, bytes 0x133 - 0x164.
The Name field shows the name of the Data Entity in the directory, The ? next to the name of the Data Entity can show additional interpretation for some Data Entities. These are primarily Data Entitites whose name starts with an underscore.

Editing

You can edit the data in the hexadecimal display by overtyping. The format needs to stay 100 % the same if you want to Update the Data Entity in the Virtual memory Module file. If you right click in the hexadecimal display, you see various edit functions like copy, cut, paste, select all, etc.
The Update button replaces the data of the Data Entity in the Virtual Memory Mode file by the data in the hexadecimal data field of the dialog.
The Save button saves the data in the hexadecimal data field of the dialog in a file called .e8k in the folder where the Virtual Memory Module file is stored. is the contents of the Name field. Note that a .e8k file can contain various types of data. The type of data is determined by the first character of the filename (S sector, P pattern, T technique).
The Load button loads the contents of a file called .e8k into the hexadecimal data field of the dialog. Limited data integrity checking is done based on the type of data detemined by the first character of the filename. Any changes applied earlier to the hexadecimal data field will be overwritten. The file .e8k MUST have the same filesize as the Data Entity.


Picture

Some Data Entities can be graphically represented.
  • Technique : tabbed dialog that shows header, instructions and inbuilt patterns
  • Pattern : picture of the pattern + color indices
  • Sector : sector information + pictures of both referenced patterns
Click on one of the links above for more information.


Picture - Technique

The Technique Data Entity is represented as a tabbed dialog: A tabbed dialog is what the name suggests: a dialog with tabs (at the bottom). You can access the information on a dialog by clicking on the corresponding tab.

All dialogs on the Technique tabbed dialog have a < and a > button. If you press them, you will see the previous or the next sector respectively, given there is a previous or next sector. Otherwise you stay on the same sector.

The header of a technique is explained in the Header part of the Description topic.
You can take a screenshot of this dialog by pressing Alt+P.

The instructions in a technique are explained in the Instructions part of the Description topic.
You can copy the instructions to the Windows clipboard by pressing Alt+C.
You can take a screenshot of this dialog by pressing Alt+P.

The patterns in a technique are explained in the Patterns part of the Description topic.
You can take a screenshot of this dialog by pressing Alt+P.


Picture - Pattern

The most obvious Data Entity is the Pattern.

You see the Name of the Data Entity, the maximum number of colors per row, the number of rows and the number of stitches. Note: for some designs the number of colors is 1. The reason for this is that the slip stitch color (255) and the tuck color (0) are functional colors and therefor don't count as a color.
The arrow to the left of the picture means previous pattern; the arrow to the right of the picture means next pattern.
The color squares show the first up to 8 colors in the pattern. The number next to a color is shown on the console during the feeder assignment.
Press the Full button to show all stitches in the pattern in your default browser.


Full Picture

You can get a full picture of the currently displayed pattern by pressing the Full button.

Full picture functionality is particularly useful for lace patterns where only the middle part of the design can be shown because lace symbols require a minimum resolution to be visible. You can use it for every pattern. Non lace patterns that are wider than 25 stitches or longer than 25 rows, will be scaled down to show as much of the pattern as possible. The Full picture shows all stitches in the same size as the lace stitches.

The full picture will be shown in your browser. As a result, you can print the pattern.

For your documentation: the title of the full picture page in your browser contains the filename of the pattern.
In Internet Explorer, you can set the header to "&w" which will print the filename on the top of the page. if you set the footer to "&d&bPage &p of &P", you get page numbering and the date on the bottom of the page(s).


Picture - Sector

The Sector Data Entity looks like:

A sector has 3 main properties as indicated in Info: the technique to be knitted and optionally the front and/or back pattern to be knitted with the technique.
Techniques are referenced by number; the name is not stored in the sector. A technique has a name however that starts with a T and 4 further digits the first of which has to be a 0. The Show button displays the contents of the technique embedded in the sector.
Both front and back patterns have their names stored in the sector.
All three items have a Src property which indicates where the Data Entity originated from. ROM means the memory chip in the console, MOD means the memory chip in the Memory Module and PC means the Data Entity originated from your computer.
Both patterns may be loaded in which case you see a graphical representation of both patterns. The arrow to the left of the pictures means previous sector; the arrow to the right of the pictures means next sector.
Below each pattern you see the number of colors, rows and stitches.
The values below the pattern info are as you entered them while programming the sector.
The color sequence contains Feeder fields showing the feeder configuration entered while creating the sector.

In case you want to take a screen shot, You can press the Print button.


Upload

You can upload the contents of a Memory Module to your computer by pressing the Upload button. Once the upload is completed, the data will be stored in a Vitual Memoy Module file on your computer. Before pressing the Upload button you need to select the folder and the name where the contents of the Memory Module will be stored. The default name is module.e8v in the folder shown in the Virtual Module field.

Above you see a Windows standard file open dialog.
Using Windows navigation you can select the folder you want to use or create a new folder.
You specify the name of the Virtual Memory Module file in the filename field.
If you select a file that doesn't exist or a file that doesn't conform to the required format, you get:

If you specify a filename without e8v extension, the name module.8ev will be used.

In this stage you need to verify a Memory Module is inserted in the E8000 Programmer. If needed, you can still insert one at this point.
Press OK to start the upload.

While the upload is in progress, you can see in the status field the commands that are isued to the E8000 Programmer.

If the status field contains "Module read", the upload is completed. The newly read Memory Module will be loaded and the list of Data Entities will be updated. The first Data Entity in the list will be selected and the data fields on the dialog will be updated.


Download

You can download the loaded Virtual Memory Module from your computer to the E8000 Programmer.

After presing the Download button you are asked to verify a Memory Module is inserted in the E800 Programmer. If needed, you can still insert one at this point.
Press OK to start the download.

While the download is in progress, you can see in the status field the commands that are issued to the E8000 Programmer.

The first part of the download is the erasure of the chip inside the Memory Module. This may take a number of seconds.

Above dialog is shown after the download is completed, Press OK to return the the main E8000 Programmer dialog.


About

The About dialog of E8000 Programmer provides version information.

You can see above the version of E8000 Programmer.

The bottom field displays the version information for your version of Windows.


New Technique

You can add a new technique to the Virtual Memory Module by pressing the New Tech button.

New Technique

You are presented with above dialog with 2 colored fields and a hatched OK button.
This means that you have to enter some data in both fields. After data entry in both fields, the OK button will be unhatched.

New Technique

Name: the name of the technique, must start with T (capitol) and 4 digits. The first digit must be 0.
Size: the size of the technique, must be a multiple of 10 + 1 (11,21,31,41, etc)

When you develop a technique, you work out the size and add as many zeroes that you reach a multiple of 10 + 1 bytes.
The newly created technique contains technique 300 padded with zeroes.

You can modify the technique via the Info functionality.

New Pattern

You get above message if the first letter of the Name is not T (capitol t).
You also get above message if the number of the technique is not 0. Technique numbers starting with anything other than 0 are not allowed.


New Pattern

You can add a new pattern to the Virtual Memory Module by pressing the New Pat button.

New Pattern

You are presented with above dialog with 2 colored fields and a hatched OK button.
This means that you have to enter some data in both fields. After data entry in both fields, the OK button will be unhatched.

The newly created pattern contains pattern 2000 padded with zeroes.

You can modify the pattern via the Info functionality.

The intended use for the New Pattern function is to copy a pattern from one Virtual Memory Module to another Virtual Memory Module.

New Pattern

You get above message if the first letter of the Name is not P (capitol p).
You also get above message if the number of the pattern isn't in the range from 3 thru 6, both including. Pattern numbers starting with 0,1,2,7,8,9 are not allowed.

You cannot import patterns like stp, pat or cut directly.Please use DesignaKnit or E8000 utility to store external patterns in your Memory Module.


Close

Press OK to close E8kProg or Cancel to continue using E8kProg.


Techniques

There is close to no documentation on the techniques used by the Passap E8000. This section tries to document the majority of the technique functionality.

In the Description topic you can read about the various information items in a technique.

The stripes topic shows how to derive your own technique from an existing technique.


Description

A Passap E8000 technique can be divided in four pieces of data:

11 byte header

Header

The first 11 bytes are the header of the technique.
byte 1: encode length of technique. formula: (length-11)/10+10; represent in BCD
byte 2+3: technique number in hex (use hex calculator in Windows)
byte 4:
0x80 | always 0
0x40 | always 0
0x20 | always 0
0x10 | back pattern required
0x08 | reversible
0x04 | ?
0x02 | ?
0x01 | front pattern required
byte 5:
0x80 | always 0
0x40 | always 0
0x20 | always 0
0x10 | pattern drawing allowed
0x08 | ask back pattern
0x04 | ask front pattern
0x02 | always 1
0x01 | can be knitted with mechanical setting?
byte 6: always 0
byte 7:
0x8X | Hide handle display
0x0X | up
0x1X | at right
0x2X | down
0x3X | at left
0x4X | 3-> 12
0x5X | 3-> 3
0x6X | 3-> 6
0x7X | 3-> 9
0xX0 | ?
0xX2 | ?
byte 8: number of one time carriage passes
byte 9: number of carriage passes
byte 10: width of inbuilt pattern in stitches
byte 11: heigth of inbuilt pattern in rows

Header technique 310

Knit instructions

Instructions

The instructions area contain a number of instructions and must be terminated by EF (EVA).
On the Picture dialog you can obtain a decompilation of the instructions by pressing the Instructions tab.

Instructions

Inbuilt pattern

Pattern

All techniques have an inbuilt pattern that will be knitted in case you don't specify a pattern for a sector.
The pattern is one byte per stitch. The size of the pattern is: width of inbuilt pattern * height of inbuilt pattern
Each technique has a front pattern and a back pattern.

Instructions

Above you can see that the back pattern is filled with zeroes where the front pattern is the 1's and 2's.
.

Padding

Pading

Padding is used to make the size of the technique a multiple of 10+1. Padding is always 0.


Derived Technique

The development of the E8kProg product started as result of a question by a user who wanted to knit 6 row stripes in 4 colors. You can obviously do this by knitting 2 times 2 6 row stripes and rethread between them. The rethread "plaster" has a couple of disadvatages like: You can not really use DesignaKnit interactive knitting, you need to exchange the threads, which may go wrong, etc.

The obvious approach is the same solution as one can use on the E6000: develop your own technique. In order to be able to develop your own technique in an E6000, you neede already a lot of knowledge about how techniques work, which was/is not documented very well. On the E8000 there is another issue: you cannot download a technique into the console like you can on the E6000.

The good news is that if you can program the Memory Module of the E8000, you can get new techniques in the E8000. The E8kProg box is the piece of hardware that can read and write the Memory Modules.

The next thing you need to do is obtain knowledge about developing your own techniques for the E8000. In the majority of cases you will want to make a change to an existing technique like our stripes example. There is nothing wrong with borrowing existing techniques from Madag and adapt them for your onw use. That is what I'm going to do here too.

Objective: develop a technique that can knit 4 row stripes in 4 colors single bed.

Madag provided a technique that can do 4 row stripes in 2 colors.(306). We are going to turn that into a 4 row stripes in 4 colors.

Technique 306

Press the Picture button and you see the Header page of technique 306.
.
Technique 306

On the header page we have to make the following changes:
Byte 1: we may have to recalculate the length when done developing
Byte 2-3: we assign the value 606 which is 02 5E in hex.
Byte 9: the number of carriage passes needs to double 08 becomes 16 or 10 in hex;
Byte 11: pattern height needs to double 04 -> 08

Technique 306

Code | Instr | Comment
B0,01 | COL 1 | Color 1
01,07,2 | KX,SX,2 | KX,GX,2
E9 | NDV | Neue Daten Vorn
01,07,2 | KX,SX,2 | KX,GX,2
EA | NDV2 | Neue Daten Vorn 2
B0,02 | COL 2 | Color 2
01,07,2 | KX,SX,2 | KX,GX,2
E9 | NDV | Neue Daten Vorn
01,07,2 | KX,SX,2 | KX,GX,2
EA | NDV2 | Neue Daten Vorn 2
EF | EVA | Ende der VerArbeitung

The first 5 lives and the second 5 lines are identical except that the first 5 lines are for feeder 1 and the second 5 lines are for feeder 2. The feeder number is determined in the COL instruction.
To make this technique work for 4 colors, we can insert the first 5 lines just before the EF line and change the 01 into 03. Next we can insert the first 5 lines just before the EF line and change the 01 into 04.
The code now looks as follows:
B0 01 01 07 02 E9 01 07 02 EA
B0 01 02 07 02 E9 01 07 02 EA
B0 01 03 07 02 E9 01 07 02 EA
B0 01 04 07 02 E9 01 07 02 EA
EF
which is 20 bytes longer than the instructions of technique 306. Total instruction longth is now 41 bytes.

Technique 306

The patterns need doubling also:
01 01 02 02 00 00 00 00
becomes:
01 01 02 02 03 03 04 04 00 00 00 00 00 00 00 00

Total lenght is now 11 (header) + 41 (instructions) + 16 (patterns) = 68. So, the next multiple of 10+1 is 71.
The encoded value for 71 is 16 hex.
Here is technique 606:
16 02 5E 04 17 00 22 00 10 01 08 B0 01 01 07 02
E9 01 07 02 EA B0 02 01 07 02 E9 01 07 02 EA B0
03 01 07 02 E9 01 07 02 EA B0 04 01 07 02 E9 01
07 02 EA EF 01 01 02 02 03 03 04 04 00 00 00 00
00 00 00 00

If you want to use this technique in Designaknit for downloading to the E8000, you need to add a line into the E8000.tec file. The E8000.tec file is normally located in the DesignaKnit folder in the Program Files or Programs Files (x86) folder. The line for 306 is:
306 - 11112222
The line for 606 will be:
606 - 1111222233334444

Note you need to start the program you use to edit E8000.tec (f.e. Notepad) as Administrator; otherwise you won't be ale to save the changes.


Step by Step

Step by Step instructions for a number of tasks.
  • Virtual Module : prepare a new Virtual Memory Module project
  • Technique : create technique 0606 derived from 0306
  • Pattern : create pattern 3074 which is a mirror of 2074
  • Pattern Copy : copy a pattern from one Virtual Memory Module to another
Click on one of the links above for more information.


Step by Step - New Virual Module

Step by Step - New Virtual Module

For covenience and reference, I store all files about this topic in a folder inside the E8000\Memory Modules folder in the My Documents folder. We will use this topic to create the Virtual Memory File that can be used for the Step by Step to create teechnique 0606.

During the installation of the E8000 Programmer software, a folder named Blank was created that contains blank Virtual Memory Module files for most E8000 systems. The most common variant of E8000 is e8812vh (383 needles front and back bed).

The blank Virtual Memory Module files can be found here:

I select blank_e8812vh.e8v as my machine is an e8812vh and copy it to the clipboard. I create the folder T0606, paste the blank .e8v file in the T0606 folder and rename the file to T0606.e8v.

Start E8kProg, select the com port and press the ... button and browse for the T0606 folder.

Select T0606.e8v and press Open

Pres Info and on the Info dialog ? and you will see I had the corrent blank file selected.


Step by Step - Technique

Start E8kprog and open the file T0606.e8v created in the Memory Module step by step topic.

Make sure you have all data needed for the technique prepared as is done in the Derived Technique topic.
We have worked out that our derived technique 0606 will be 71 bytes.
Press the New Tech button and fill the fields as follows:

Press OK and you will see:

Select T0606 and press Info

Type the data we worked out in the Derived Technique topic and don't forget to add the 3 trailing zeroes for padding. You can now press the Update button to replace the data of the technique in the Virtual Memory Module file.As you can see I did it correct. If you managed to make a mistake, you will get:

Press Close to return to the Passap E8000 Programmer window. Press Picture and Instructions and you see that our technique is a 4 color technique that produces stripes of 4 rows.

You can now download the Virtual Memory Module to a Memory Module by pressing the Download button on the PassapE8000 Programmer window.


Step by Step - Pattern

Start E8kprog and open one of the inbuilt technique and pattern Virtual Memory Module files.

Scroll down until you see P2074. Click on the line containing P2074 and this line gets a blue background (is selected).
Press the Info button and the Hexadecimal display dialog shows up.

The hexadecinal text may of may not be selected. If the text is not selected, right click somewhere in the large box containing the hexadecimal text and click on Select All in the menu. Rigt click again in the large box and click on Copy. The hexadecimal text is now placed in the Windows Clipboard.

Close the Hexadecimal dispaly by pressing the Close button and open the file T0606.e8v nmodified in the New Technique step by step topic.

Press the New Pat button and fill the New Pattern diallog as follows:

Press OK and you will see:

Select P3074 by clicking on the line containing P3074 and press the Info button. You will see:

Select the hexadecimal text if the hexadecimal text is not already selected by right clicking in the large box end pressing Select All. Right click in the large box and press Paste which copies the data in the Windows Clipboard over the selected data.

Hexadecimal data:
01 00 04 00 04 00 00 00 05 01 02 83 FF 00 00 06
82 FF 02 02 FF 00 00 06 04 FF 02 FF FF 00 00 05
83 FF 01 02 00
Reformatted:
01 00 04 00 04 00 00 | Header
00 05 01 02 83 FF 00 | row 1
00 06 82 FF 02 02 FF 00 | row 2
00 06 04 FF 02 FF FF 00 | row 3
00 05 83 FF 01 02 00 | row 4
The values in bold are the colors. The other data is length values/repetition counts and terminators. The mirror of this design is rather simple exechange the top and the bottom line and exchange the two middle lines.
01 00 04 00 04 00 00 | Header
00 05 83 FF 01 02 00 | row 1
00 06 04 FF 02 FF FF 00 | row 2
00 06 82 FF 02 02 FF 00 | row 3
00 05 01 02 83 FF 00 | row 4
Back to hexadecimal data:
01 00 04 00 04 00 00 00 05 83 FF 01 02 00 00 06
04 FF 02 FF FF 00 00 06 82 FF 02 02 FF 00 00 05
01 02 83 FF 00

When you're done changing the hexadecimal data, press the Update button and your mirrored design is ready for you to use in a section.


Step by Step - Pattern Copy

In this example we are going to copy a pattern from one Virtual Module File to another Virtual Module File.

Start E8kprog and open one of the inbuilt technique and pattern Virtual Memory Module files.

Scroll down until you see P2074. Click on the line containing P2074 and this line gets a blue background (is selected).
Press the Info button and the Hexadecimal display dialog shows up.

Press Save and you will see where Pattern P2074 is saved. Copy the saved file to the folder that contains T0606.e8v and rename P2074.e8k to P4074.e8k.

Press Close to return to the Passap E8000 Programmer window. Open the Virtual Module File where you want to copy the pattern to. We will use the Virtual Module File created in the New Module step by step topic (T0606.e8v).

Press the New Pat button, enter P4074 in the Name field, 37 in the Size field and press OK which returns us to the Passap E8000 Programmer window.

Scroll to the P4074 entry and click on the line containing P4074 which selects the entry. Press Info and you will see the Headecimal display dialog. Press the Load button. You will see:

And finally: press the Update button which updates the Virtual Memory Module file T0606.e8v.


Getting Started

Parts list
  1. E8000 Programmer
  2. CD ROM with E8000 Programmer software and USB drivers
  3. optional VM Memory Module 30.730.01

Software Installation

Note: INSTALL THE SOFTWARE BEFORE YOU CONNECT THE E8000 PROGRAMMER TO THE COMPUTER

  1. Put the E8kProg installation CD in the CD ROM drive
  2. The E8kProg installation program will start automatically
  3. When autorun is not enabled on your computer, look for the CD and double-click autoplay.exe in the root off the CD
  4. Follow the instructions on the screen, the InstallShield installation wizard will guide you through the process
Note 1: It is recommended to install E8000 Programmer to the suggested folder.

Hardware Installation

  1. Connect the B connector of the USB cable to the USB port on the back of your E8000 Programmer
  2. Connect the A connector of the E8000 Programmer to a free USB port on your computer
  3. Check the green light to go on and flash one time green/red, and stays off afterwards.
  4. Windows will indicate "New hardware found"
  5. Preferably let Windows search for the drivers
  6. If not found, tell Windows that the drivers are on the CD ROM
  7. If Windows indicates that the drivers are not compatible, press "Continue anyway"
  8. The USB Serial Converter is now installed
  9. Windows will indicate again "New hardware found"
  10. Preferably let Windows search for the drivers
  11. If not found, tell Windows that the drivers are on the CD ROM
  12. If Windows indicates that the drivers are not compatible, press "Continue anyway"
  13. The USB Serial port is now installed
  14. The installation has finished now
  15. On some systems a restart is required after the installation of the USB drivers


Messages

Various things can go wrong while running E8000 Programmer. E8000 Programmer will report errors and also other events via message boxes.

You will find screen shots of the messages, an explanation what they mean and where possible hints on how to resolve the event.

Load entity error

Here is a list of things that may go wrong while loading an entity (technique, pattern, sector).

Value | Meaning | Notes
1 | Too many colors | Number of colors > 4
2 | Incorrect Size | Size of the technique is wrong
3 | Numbers not matching | Technique numbers in sector are different
4 | Missing EVA | A technique needs an EVA instruction
5 | Incorrect version | Version of sector is not 1.00


Dialog Manager

Dialog Manager is, as its name suggests, a package that manages dialogs. Dialog Manager makes the life of the Windows dialog programmer easier by taking away the boring Windows dialog hassle, enabling the programmer to concentrate on user functionality.

Dialog Manager also provides additional functionality on top of the Windows dialog functionality.
The visible additional features used in this application include:
  • Hatched buttons: a button is dependent on the contents of one or more fields, where the fields don't meet the expectations of the button. The user can click a hatched button to find out which fields don't meet the expectation of the button.
  • Field coloring: when a button has the focus, fields on which the button depends are colored to show the user that user action is required.
  • Propagation: when a row in a table is selected, the fields in the row are propagated into individual fields.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Introduction

A Dialog Manager application presents you with one or more dialogs.

Getting Help For a Dialog.

A dialog can contain:
  • Buttons
  • Single-line Fields
  • Multi-line Fields
  • TableBoxes
  • TickBoxes
You can use the mouse or the keyboard to navigate a dialog.

Access Keys

Scroll Bar

Initial Focus and Tab Order

Coloring

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Buttons

A dialog normally contains an OK button, a Cancel button, and one or more action buttons.
You can 'press' a button with a mouse click or with the keyboard:
  • Pressing the Enter key is equivalent to pressing the default button, which is the button with a heavy dark border. The default button is the one that has the focus, or, if no button has the focus, the one set up as the default. The Dialog Manager makes the last button pressed the default.
  • Pressing the spacebar is equivalent to pressing whichever button has a dotted rectangle around its text label.
  • If a button's label contains an underlined character, pressing the Alt key together with that character's key is equivalent to pressing that button.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Fields

A single-line field is for display or entry of a character string. When a Dialog first displays, a field in which you can enter text is usually empty, but in some cases it contains default text.
When a field allows you to enter text, you can click to place the cursor within the existing text and use the keyboard to edit it. The Home key moves the cursor to the beginning of the string, and the End key moves it to the end. The Delete key deletes characters following the cursor, and the Backspace key deletes characters before the cursor.
You can highlight text by dragging the cursor across it. The Delete key deletes highlighted text, and typing new text replaces highlighted text.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Multi Line Fields

A multi-line field is for display or entry of a character string. When a Dialog first displays, a field in which you can enter text is usually empty, but in some cases it contains default text.
When a field allows you to enter text, you can click to place the cursor within the existing text and use the keyboard to edit it. The Home key moves the cursor to the beginning of the string, and the End key moves it to the end. The Delete key deletes characters following the cursor, and the Backspace key deletes characters before the cursor.
You can highlight text by dragging the cursor across it. The Delete key deletes highlighted text, and typing new text replaces highlighted text.
Pressing Control+Enter moves the cursor to a new line.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - TableBox

A TableBox displays a list of items. Scroll through the list using the scroll bar, and select an item in one of these ways:
  • double click on it
  • click on it and press Enter
  • use the arrow keys to highlight it, and press the spacebar
The colour of the table changes on mouse-up (when the focus changes) and on mouse-down (when the selection changes). You can deselect a row by pressing the Delete key.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - TickBox

A TickBox is used to enable or disable an option. The option is enabled when an X appears in the TickBox and disabled when the TickBox is empty.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Access Keys

An access key lets you use the keyboard to activate a single-line field, multi-line field, Button, TickBox, or TableBox in a dialog. When a character in the item's label is underlined, you can activate the item by pressing Alt together with the key corresponding to that character.

Last Modification: July 20, 2004 (c) Copyright 2004, Jos Timmermans


Dialog Manager - Scrollbar

A scrollbar appears at the right or bottom edge of a TableBox or multi-line field when its contents are not completely visible. Each scroll bar contains two scroll arrows and a scroll box that enable you to scroll through the contents of the TableBox or field.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Initial Focus and Tab Order

When a control is active, it is said to have the focus, which means that you can act on it. For example, if a field has the focus, you can type in it.
You can use the Tab key to move the focus and activate controls in a dialog. The tab order is the order in which controls become active when you use Tab. Using Tab is particularly useful and natural for moving from one text field to another.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Coloring

Coloring or hatching of fields, tables, or buttons occurs when some action is required before a button can be pressed. Read-only fields that are dependent on an unsatisfied button are hatched whenever the button is grayed.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Get Help For a Dialog

When the Dialog Manager presents you with a dialog, you can get help by pressing F1. This displays a dialog where you can choose (when available):
  • General displays this Help
  • Forms displays Help for the application
  • Field displays Help for the field that has the focus
You can also use the Forms key or Field key to go directly to the corresponding Help.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Notepad

E8000 Utility accepts text documents (TXT) for knitting. E8000 Utility considers every character on a line in the text document a stitch.
Patterns of size 25 by 25 or smaller can be entered without much effort very quickly with Microsoft Notepad. The Duck25 is done with Microsoft Notepad. There are 5 basic rules you need to adhere to:
  • The first line contains the word SilverKnit
  • All lines containing stitches are of equal length
  • You can use the digits 0 thru 9 to show a color, the first ten in the palette
  • The characters : ; < = > ? are the last six in the palette
  • You can add a comment by setting the first character of a line to % (Percent Sign)

Above is a diagram done in color in minutes. E8000 Utility will treat the duck above as a 3 color Jacquard.
The contents of the text document is:

SilverKnit
%Duck25 created with Notepad
%23456789 123456789 12345
6666666666666666666666666
6000000000000000000000006
6000000000000000000000006
6000000000000000000000006
6000000444000000000000006
6000004444400000000000006
6000004044400000000004006
6000444444400000000044006
6000004444400444444444006
6000000044444444444444006
6000000044444444440444006
6000000444444444404440006
6000000440444444044440006
6000000444000000444400006
6000600444444444444000006
6006000444444444444000006
6006000044444444440000006
6000600000000000000000006
6000060000000000000000006
6006006666666666666000006
6000600000000000000000006
6000066666666600000000006
6000000000000000000000006
6000000000000000000000006
6666666666666666666666666

Hint: you can use a ruler like the comment line above for counting stitches. Multiple comment lines are allowed as shown above.

Last Modification: March 18, 2014 © 2005,2014 Computerservice SSHS BV.


Print

Some dialogs offer the facility to create a screen print. This can be useful for example if you want to remember the options you applied to a pattern during download.

If you checked Show Print Dialog on the configuration dialog, you will be presented with a dialog like the one above. You can select the printer you want to send the screen print to and adapt the settings of the printer to your requirements.

Press the Print button to start the screen print.


Program E8000 Console

After you press the Download button on the main dialog, you will see the Program E8000 Console dialog.

Program the console of your E8000 until you see ON THE PC SELECT "KNIT A PATTERN".
You find instructions on programming the E8000 console in the E8000 Operating Manual chapter Programming a pattern sector.
Once you have programmed the console as indicated above, press the OK button.
Press Skip to skip the transfer of the front pattern. You can use the Skip button in case you want to leave the front pattern intact. On the E8000 console you do this by selecting CONTINUE when you specify the origin of the front pattern.

You are invited to press the large ENT button on the E8000 console. Once you do that, the transfer starts and you will see that the progress bar advances. Once the transfer is completed, the Cancel Button will become Close. Press Close to finish the transfer on the PC.
In the case you have specified a Technique that allows a back bed pattern, you have to do the same also for the back pattern.

Press OK to start the transfer of the back pattern.
Press Skip to skip the transfer of the back pattern. You can use the Skip button in case you want to leave the back pattern intact. On the E8000 console you do this by selecting CONTINUE when you specify the origin of the back pattern.

The Technique button shows the default techniques for the various sectors.

Last Modification: November 10, 2020 © 2005,2020 Computerservice SSHS BV.


Transfer

Once you pressed the OK button on the Program E8000 Console dialog, you see the window below.

You are invited to press the large ENT button on the E8000 console.

During the transfer you see the progress bar advance.

After the transfer is completed, the Cancel Button becomes the Close button.
You can press Close to finish the pattern transfer.

Last Modification: November 10, 2020 © 2005,2020 Computerservice SSHS BV.